<?php
/**
 * Created by PhpStorm.
 * User: tandunzhao
 * Date: 2017/11/20
 * Time: 上午11:37
 */
Route::group(['domain' => env('MANAGE_DOMAIN'), 'namespace' => 'App\Http\Controllers\Manage\Finance', 'prefix' => 'api', 'middleware' => 'ManageApiAuth'], function () {

    Route::get('getWithdrawCashStatus', 'FinanceController@getWithdrawCashStatus');

    Route::get('getOutChannelOrderData', 'FinanceController@outPayMerchantData');


    //添加提现
    Route::post('addWithdrawCash', 'WithdrawCashController@add_withdrawCash');
    //修改提现状态信息
    Route::any('updateWithdrawCash', 'WithdrawCashController@update_withdrawCash');
    //获取提现信息列表
    Route::get('withdrawCashs', 'WithdrawCashController@get_list');
    //财务对账
    Route::get('WithdrawCash/financialCounting', 'WithdrawCashController@financial_counting');
    //财务对账导出
    Route::get('WithdrawCash/financialCountingExport', 'WithdrawCashController@financial_counting_export');
    //财务审核
    Route::get('WithdrawCash/financialAudit', 'WithdrawCashController@financial_audit');
    //财务审核导出
    Route::get('WithdrawCash/financialAuditExport', 'WithdrawCashController@financial_audit_export');
    //对账统计数据
    Route::get('WithdrawCash/dataStatistics', 'WithdrawCashController@data_statistics');

    Route::get('testPayment', 'PaymentController@test_add_payment');
    //创建打款信息
    Route::any('addPayment', 'PaymentController@add_payment');
    //创建人工打款信息
    Route::any('addPaymentPersonMade', 'PaymentController@add_paymentPersonMade');
    //打款列表
    Route::get('payments', 'PaymentController@get_list');
    //更新打款状态
    Route::post('updatePaymentStatus', 'WithdrawCashController@updatePaymentStatus');
    //打款列表详情
    Route::get('listPayments', 'PaymentController@get_listDetail');
    //每天对账统计
    Route::get('paymentStaticDay', 'PaymentStatisticController@get_list_day');
    //每天对账统计导出
    Route::get('paymentStaticDayExport', 'PaymentStatisticController@get_list_day_export');

    //获取提现汇总信息
    Route::get('getFinancialStat', 'FinancialStatController@get_FinancialStatInfo');
    //获取账号信息列表
    Route::get('financialStats', 'FinancialStatController@get_FinancialStatListDetail');
    //结算明细
    Route::get('financialStatSettlementPriceDetail', 'FinancialStatController@settlement_price_detail');
    //结算明细导出
    Route::get('financialStatSettlementPriceDetailExport', 'FinancialStatController@settlement_price_detail_export');

    //账号冻结，与解冻
    Route::get('getFinancialConfig', 'FinancialConfigController@get_frozen');
    //变更账号冻结，与解冻
    Route::post('changeFinancialConfig', 'FinancialConfigController@change_frozen');

    //佣金结算比例列表
    Route::get('commissionRates', 'CommissionRateController@get_list');
    //添加佣金结算比例
    Route::post('addCommissionRate', 'CommissionRateController@add_commissionRate');
    //修改佣金结算比例
    Route::post('changeCommissionRate', 'CommissionRateController@change_commissionRate');
    //获取当前渠道当前佣金比例
    Route::get('getCommissionRate', 'CommissionRateController@get_commissionRate');

    //更新银行账号可编辑
    Route::get('updateCashAccountEdit', 'CashAccountsController@update_cashAccountEdit');

    //获取结算列表
    Route::get('bills', 'BillsController@get_list');
    //获取结算列表导出
    Route::get('exportBills', 'BillsController@export');

    //获取清算汇总列表
    Route::get('LiquidatedStat/list', 'LiquidatedStatController@get_list');

    //获取清算明细表列表
    Route::get('Liquidated/list', 'LiquidationController@get_list');
    //获取清算明细表列表导出
    Route::get('Liquidated/listExport', 'LiquidationController@get_list_export');
    //添加清算支付渠道金额
    Route::post('Liquidated/add', 'LiquidationController@add_liquidated');


    //添加到账记录
    Route::post('addTransformAccountRecord', 'TransformAccountRecordController@add_record');

    //获取到账记录
    Route::get('getTransformAccountRecord', 'TransformAccountRecordController@get_record');

    //导出到账记录
    Route::get('exportTransformAccountRecord', 'TransformAccountRecordController@export_record');

    //修改到账记录
    Route::post('updateTransformAccountRecord', 'TransformAccountRecordController@update_record');

    //修改对公打款
    Route::post('WithdrawCash/updateWithdrawType', 'WithdrawCashController@updateWithdrawType');

});